# Ogre::VertexPoseKeyFrame::PoseRef Struct Reference

Reference to a pose at a given influence level. More...

`#include <OgreKeyFrame.h>`

List of all members.

## Public Member Functions

| PoseRef (ushort p, Real i)

## Public Attributes

ushort | poseIndex
| The linked pose index.
Real | influence
| Influence level of the linked pose.

## Detailed Description

Reference to a pose at a given influence level.

Remarks:
  Each keyframe can refer to many poses each at a given influence level.

Definition at line 194 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::VertexPoseKeyFrame::PoseRef::PoseRef | ( | ushort | p,
|  | Real | i
| ) |  |

Definition at line 209 of file OgreKeyFrame.h.

## Member Data Documentation

Real Ogre::VertexPoseKeyFrame::PoseRef::influence

Influence level of the linked pose.

1.0 for full influence (full offset), 0.0 for no influence.

Definition at line 207 of file OgreKeyFrame.h.

ushort Ogre::VertexPoseKeyFrame::PoseRef::poseIndex

The linked pose index.

Remarks:
  The Mesh contains all poses for all vertex data in one list, both for the shared vertex data and the dedicated vertex data on submeshes. The 'target' on the parent track must match the 'target' on the linked pose.

Definition at line 203 of file OgreKeyFrame.h.

The documentation for this struct was generated from the following file:

- OgreKeyFrame.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:12